pam_pkcs11 0.6.8

- Main Page
- Data Structures
- Files
- Directories

- File List
- Globals

Defines | Functions
cert_info.h File Reference
`#include "cert_st.h"`

Go to the source code of this file.

## Defines

#define | CERT_CN 1
| Certificate Common Name.
#define | CERT_SUBJECT 2
| Certificate subject.
#define | CERT_KPN 3
| Kerberos principal name.
#define | CERT_EMAIL 4
| Certificate e-mail.
#define | CERT_UPN 5
| Microsoft's Universal Principal Name.
#define | CERT_UID 6
| Certificate Unique Identifier.
#define | CERT_PUK 7
| Certificate Public Key (PEM Format)
#define | CERT_DIGEST 8
| Certificate Digest.
#define | CERT_SSHPUK 9
| Certificate Public key in OpenSSH format.
#define | CERT_PEM 10
| Certificate in PEM format.
#define | CERT_ISSUER 11
| Certificate issuer.
#define | CERT_SERIAL 12
| Certificate serial number.
#define | CERT_KEY_ALG 13
| Certificate key algorithm.
#define | CERT_INFO_SIZE 16
| Max size of returned certificate content array.
#define | CERT_INFO_MAX_ENTRIES ( CERT_INFO_SIZE - 1 )
| Max number of entries to find from certificate.
#define | CERTINFO_EXTERN extern

## Functions

void | add_cert (X509 *cert, X509 ***certs, int *ncerts)
| Generate and compose a certificate chain.
CERTINFO_EXTERN char ** | cert_info (X509 *x509, int type, ALGORITHM_TYPE algorithm)
| Request info on certificate.

## Define Documentation

#define CERT_CN 1

Certificate Common Name.

Definition at line 25 of file cert_info.h.

#define CERT_DIGEST 8

Certificate Digest.

Definition at line 39 of file cert_info.h.

#define CERT_EMAIL 4

Certificate e-mail.

Definition at line 31 of file cert_info.h.

#define CERT_INFO_MAX_ENTRIES ( CERT_INFO_SIZE - 1 )

Max number of entries to find from certificate.

Definition at line 54 of file cert_info.h.

#define CERT_INFO_SIZE 16

Max size of returned certificate content array.

Definition at line 52 of file cert_info.h.

#define CERT_ISSUER 11

Certificate issuer.

Definition at line 45 of file cert_info.h.

#define CERT_KEY_ALG 13

Certificate key algorithm.

Definition at line 49 of file cert_info.h.

#define CERT_KPN 3

Kerberos principal name.

Definition at line 29 of file cert_info.h.

#define CERT_PEM 10

Certificate in PEM format.

Definition at line 43 of file cert_info.h.

#define CERT_PUK 7

Certificate Public Key (PEM Format)

Definition at line 37 of file cert_info.h.

#define CERT_SERIAL 12

Certificate serial number.

Definition at line 47 of file cert_info.h.

#define CERT_SSHPUK 9

Certificate Public key in OpenSSH format.

Definition at line 41 of file cert_info.h.

#define CERT_SUBJECT 2

Certificate subject.

Definition at line 27 of file cert_info.h.

#define CERT_UID 6

Certificate Unique Identifier.

Definition at line 35 of file cert_info.h.

#define CERT_UPN 5

Microsoft's Universal Principal Name.

Definition at line 33 of file cert_info.h.

#define CERTINFO_EXTERN extern

Definition at line 57 of file cert_info.h.

## Function Documentation

void add_cert | ( | X509 * | cert,
|  | X509 *** | certs,
|  | int * | ncerts
| ) |  |

Generate and compose a certificate chain.

Parameters:

  cert | Certificate to add
  certs | pointer to list of certificates
  ncerts | pointer to number of certificates in list

CERTINFO_EXTERN char** cert_info | ( | X509 * | x509,
|  | int | type,
|  | ALGORITHM_TYPE | algorithm
| ) |  |

Request info on certificate.

Parameters:

  x509 | certificate to parse
  type | information to retrieve
  algorithm | to use in evaluate certificate digest; else null

Returns:
  utf-8 string array with provided information